Skip to main content
Storage Services/Storage Services
POSTStorage ServicesSince 4.10.6SynchronousAuth Required

Create ZCE-X Alert Platform

Create ZCE-X Alert Platform

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    ZCE-X information UUID, uniquely identifies the resource

Body Fields

  • resourceUuidString

    Resource UUID

  • tagUuidsList

    Tag UUID list

  • systemTagsList

    System Tag

  • userTagsList

    User Tag

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    Whether the addition was successful

  • thirdPartyPlatformThirdpartyPlatformInventoryRequired

    For details, see thirdPartyPlatform

    • uuidStringRequired

      Platform UUID

    • nameStringRequired

      Platform name

    • typeStringRequired

      Platform type

    • urlStringRequired

      Platform address

    • templateStringRequired

      Message transformation template

    • stateStringRequired

      Platform state

    • descriptionStringRequired

      Platform detailed description

    • lastSyncDateTimestampRequired

      Last sync time

    • lastOpDateTimestampRequired

      Last modification time

    • createDateTimestampRequired

      Creation time

  • inventoryZceXThirdPartyPlatformAlertRefInventoryRequired

    For details, see inventory

    • zceXUuidStringRequired

      ZCE-X resource UUID

    • thirdPartyPlatformUuidStringRequired

      Associated third-party alert platform UUID

    • createDateTimestampRequired

      Creation time

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. If null, the operation succeeded. For details, see error

    • codeStringRequired

      Error code number, globally unique identifier of the error, for example SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief summary of the error

    • detailsStringRequired

      Detailed error information

    • elaborationStringRequired

      Reserved field, defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field, defaults to null

    • causeErrorCodeRequired

      Root cause: the source error that triggered the current error. If there is no original error, this field is null

Endpoint

POST/zstack/v1/zce-x-plugin/{uuid}/alert-platform

/zstack/v1/zce-x-plugin/{uuid}/alert-platform

Operation ID

CreateZceXAlertPlatform

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/zce-x-plugin/{uuid}/alert-platform' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"],"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "thirdPartyPlatform": { "uuid": "eec32b6fe11a464790641439f1d7c754", "name": "xsky-172.20.11.24", "type": "XSKY", "url": "http://172.20.11.24:8086/alerts/?token\u003d001adb2ef25e41b7bd01b28651fcfa6a", "template": "{\n \"product\":\"XSKY\",\n \"service\":\"XSKY\",\n \"message\":\"${resource_type + \u0027[\u0027 + resource_name+\u0027] \u0027 + group + \u0027 \u0027 + alert_value}\",\n \"metric\":\"${resource_type + \u0027::\u0027 + group}\",\n \"alertLevel\":\"${level \u003d\u003d \u0027info\u0027 ? \u0027Normal\u0027 : level \u003d\u003d \u0027warning\u0027 ? \u0027Important\u0027 : \u0027Emergent\u0027}\",\n \"alertTime\":\"${create}\",\n \"dimensions\":\"{\u0027resource_name\u0027:\u0027${resource_name}\u0027}\",\n \"dataSource\":\"xsky-172.20.196.185\"\n}", "description": "desc", "lastSyncDate": "Feb 18, 2025 7:52:39 AM", "lastOpDate": "Feb 18, 2025 7:52:39 AM", "createDate": "Feb 18, 2025 7:52:39 AM" }, "inventory": { "zceXUuid": "77e1393bf5aa4536a018b4c0c4e29c72", "thirdPartyPlatformUuid": "eec32b6fe11a464790641439f1d7c754", "createDate": "Nov 14, 2017 2:20:57 PM" } }

Change History

This API has no change history records yet.

View all change history